<template>
 <v-container>
    <AboutMe />
    
    <v-btn-toggle v-model="store.aboutView" class="justify-center w-100" divided mandatory>
        <v-btn value="experience">Experiences</v-btn>
        <v-btn value="formation">Formations</v-btn>
    </v-btn-toggle>

    <transition name="effect" mode="out-in">
        <Experiences v-if="store.aboutView == 'experience'" />
    </transition>
    <transition name="effect" mode="out-in">
        <Formations v-if="store.aboutView == 'formation'" />
    </transition>
    
  
    
 </v-container>
    
</template>
<script lang="ts" setup>
import AboutMe from '@/components/AboutMe.vue';
import Experiences from '@/components/Experiences.vue';
import Formations from '@/components/Formations.vue';
import { useAppStore } from '@/store/app';

const store = useAppStore()


</script>
<style>
.effect-enter-active {
  transition: all .7s ease-out;
}

.effect-leave-active {
  transition: all .7s cubic-bezier(1, 0.5, 0.8, 1) ease-out;
}

.effect-enter-from,
.effect-leave-to {
  opacity: 0;
}
</style>